TeaSpeak

TeaSpeak 1.0.19-beta

No permission to download

WolverinDEV

Restricted
Joined
Sep 21, 2015
Messages
42
Points
62
Age
31
I know i know.
Just type:
Code:
export LD_LIBRARY_PATH="$LD_LIBRARY_PAT;./libs/"
./TeaSpeakServer
 

TheNemic

Member
Joined
Dec 3, 2015
Messages
9
Points
35
Age
39
I know i know.
Just type:
Code:
export LD_LIBRARY_PATH="$LD_LIBRARY_PAT;./libs/"
./TeaSpeakServer
Now I get this errror:

./TeaSpeakServer: /usr/lib/x86_64-linux-gnu/libstdc++.so.6: version `GLIBCXX_3.4.20' not found (required by ./libs/libyaml-cpp.so.0.6)

And I also run

Code:
sudo apt-get install libstdc++6
Reading package lists... Done
Building dependency tree
Reading state information... Done
libstdc++6 is already the newest version.
The following packages were automatically installed and are no longer required:
  libhdb9-heimdal libkdc2-heimdal libntdb1 python-ntdb
Use 'apt-get autoremove' to remove them.
0 to upgrade, 0 to newly install, 0 to remove and 0 not to upgrade.
 

TheNemic

Member
Joined
Dec 3, 2015
Messages
9
Points
35
Age
39
I got it to work now :), but how do I change the Non-Profile License to other? and can I change the server version text yet? :)
 

WolverinDEV

Restricted
Joined
Sep 21, 2015
Messages
42
Points
62
Age
31
Oh hmm I may should rebuild the YAML library or even link it directly into Teaspeak, but nice you fixed that

Yes you could change these values, but I guess you need to have a premium license to change some of them (if an premium license required than it's stands above
 

TheNemic

Member
Joined
Dec 3, 2015
Messages
9
Points
35
Age
39
Oh hmm I may should rebuild the YAML library or even link it directly into Teaspeak, but nice you fixed that

Yes you could change these values, but I guess you need to have a premium license to change some of them (if an premium license required than it's stands above
Okay how do I get a premium license then? :) And again thanks for this very nice project :D

I also got this from log:

Code:
[0m[0m[13:14:42] [[1;33mINFO[0m] Starting music providers
[0m[0m[13:14:42] [[0;31mERROR[0m] [Music] [FFMPEG] Could not find ffmpeg (Error: "sh: 1: ffmpeg: not found")
[0m[0m[13:14:42] [[0;31mERROR[0m] [Music] [FFMPEG] How to download/install ffmpeg: "sudo apt-get install ffmpeg"
[0m[0m[13:14:42] [[0;31mERROR[0m] [Music] Could not create music provider for providers/000ProviderFFMpeg.so
[0m[0m[13:14:42] [[0;31mERROR[0m] [Music] Could not load music provider providers/000ProviderOpus.so. Error: providers/000ProviderOpus.so: undefined symbol: _ZN7threads4impl10ThreadBase6detachESt10shared_ptrIS1_E
[0m[0m[13:14:42] [[0;31mERROR[0m] [Music] Could not load music provider providers/001ProviderYT.so. Error: 000ProviderFFMpeg.so: cannot open shared object file: No such file or directory
[0m[0m[13:14:42] [[1;33mINFO[0m] Starting TeaSpeak-Server v1.1.1-beta
And I have run sudo apt-get install ffmpeg but I get this then I run it:

Code:
Reading package lists... Done
Building dependency tree
Reading state information... Done
Package ffmpeg is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source

E: Package 'ffmpeg' has no installation candidate
 

Kicks

New Member
Joined
Jan 28, 2018
Messages
8
Points
15
Age
30
Would all the typical bots like Sinusbot work with this? Sorry if this seems like a pretty basic question
 

WolverinDEV

Restricted
Joined
Sep 21, 2015
Messages
42
Points
62
Age
31
Nearly all bots.
Some bots require a specific query message, and if you havent these than it can't connect, but caused by the fact that you could change the query motd I think all bots sould work
 

Kicks

New Member
Joined
Jan 28, 2018
Messages
8
Points
15
Age
30
How do you install libav-tools on Centos 7? Is it even possible to do?
 

Kicks

New Member
Joined
Jan 28, 2018
Messages
8
Points
15
Age
30
Fixed**
Just need to comment out the third line in teastart_minimal.sh as well as update to 1.1.3-beta (which Wolverin fixed and updated to make this work in centos7)
May you try to comment these lines (bash comment character is #) and see if TeaSpeak still working (has to, libav-tools is just for WebRTC (required for the web client))
Thanks again for the quick response and fix
 

Najsr

Moderator
Developer
Joined
Apr 23, 2016
Messages
425
Points
107
Location
void
Does it send some special commands that you can catch and edit? I mean would it be possible to bypass the license check with TS3Hook? Coz I haven't seen the new version of the protocol yet.
 

WolverinDEV

Restricted
Joined
Sep 21, 2015
Messages
42
Points
62
Age
31
Does it send some special commands that you can catch and edit? I mean would it be possible to bypass the license check with TS3Hook? Coz I haven't seen the new version of the protocol yet.
Ts3 hook is something completely different. It just prints the decrypted messages.
The "new" protocol is just nearly the same, but with a completely new crypto handshake, and the new command cl8entinitivexpend2 und clientek
 

Najsr

Moderator
Developer
Joined
Apr 23, 2016
Messages
425
Points
107
Location
void
Ts3 hook is something completely different. It just prints the decrypted messages.
The "new" protocol is just nearly the same, but with a completely new crypto handshake, and the new command cl8entinitivexpend2 und clientek
Well I didn't think that they would bother to change handshake... nvm
 

WolverinDEV

Restricted
Joined
Sep 21, 2015
Messages
42
Points
62
Age
31
@Nicer They change the way the exchange and generate keys. And with the new licensing system it's theoretical impossible to crack a server (may TeamSpeak made somewhere a mistake, but I don't think so)
 

jeka

Member
Joined
Jul 16, 2016
Messages
11
Points
35
Age
35
Hello, please tell me, is it possible to use crack from teamspeak 3.0.18 for TEASPEK server? or maybe you can somehow get free TEASPEK?
 

Top